/**
 * XRoleClassCoverage2.java
 *
 * File generated from the medication2::XRoleClassCoverage2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassCoverage2.
 *
 * 
 */

@XmlType(name = "XRoleClassCoverage")
@XmlEnum
@XmlRootElement(name = "XRoleClassCoverage2")
public enum XRoleClassCoverage2 {
	@XmlEnumValue("COVPTY")
	COVPTY("COVPTY"),
	@XmlEnumValue("POLHOLD")
	POLHOLD("POLHOLD"),
	@XmlEnumValue("SPNSR")
	SPNSR("SPNSR"),
	@XmlEnumValue("UNDWRT")
	UNDWRT("UNDWRT");
	
	private final String value;

    XRoleClassCoverage2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XRoleClassCoverage2 fromValue(String v) {
        for (XRoleClassCoverage2 c: XRoleClassCoverage2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
